// Orig script by Sparky 
// Made More mod usable by ZOD & Synister 
// used and modified once again by TibalMa5ter & Uncle Bob


datablock TriggerData(radiationarea) 
{ 
tickPeriodMS = 30; 
}; 

%radiator = new Trigger() { 
position = "252.32 660.155 45.174"; 
rotation = "1 0 0 0"; 
scale = "5000.0 5000.0 52.0"; 
dataBlock = "radiationarea"; 
lockCount = "0"; 
homingCount = "0"; 
polyhedron = "-0.75 0.75 0.1 1.5 0.0 0.0 0.0 -1.5 0.0 0.0 0.0 2.3"; 
}; 
MissionCleanup.add(%radiator); 


package radiation 
{ 
function radiationarea::onEnterTrigger(%data, %trigger, %player) 
{ 
%player.takedamage = 1; 
messageClient(%player.client, 'MsgClient', "\c0Not even my armor can withstand this temperature."); 
playerdamage(%player); 
} 

function radiationarea::onleaveTrigger(%data, %trigger, %player) 
{ 
%player.takedamage = 0; 
if (!isObject(%player) || %player.getState() $= "Dead") 
return; 
messageClient(%player.client, 'MsgClient', "\c0Cant stay in this too long."); 
} 


function playerdamage(%player) 
{ 
if(%player.takedamage == 0) 
return; 
if (!isObject(%player) || %player.getState() $= "Dead") 
{ 
messageClient(%player.client, 'MsgClient', "\c0You are now one with the ice."); 
%game = Game.getId(); 
%damLoc = %player.getPosition(); 
DefaultGame::onClientKilled(%game, %player.client, "", $DamageType::Default, "", %damLoc); 
%player.takedamage = 0; 
return; 
} 
else { 
%player.setDamageFlash(0.5); 
%player.damage(0, %player.position, 0.01, $DamageType::Default); 
schedule(1000,0,"playerdamage",%player); 
} 
} 

function radiationarea::onTickTrigger(%data, %obj) 
{ 
Game.onTickTrigger(%obj.name, %data, %obj); 
} 
}; 

activatepackage(radiation); 